> For the complete documentation index, see [llms.txt](https://zeko.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://zeko.gitbook.io/docs/zekoai-api-docs/api-reference/schedule-interview/cancel-scheduling.md).

# Cancel Scheduling

## Cancel Scheduled Candidates

> Cancel scheduled candidates for a specific interview.

```json
{"openapi":"3.0.3","info":{"title":"ZekoAI Interview APIs","version":"1.0.0"},"servers":[{"url":"https://interview-api.zeko.ai","description":"Production Server"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CancelScheduledCandidatesRequest":{"type":"object","required":["candidateEmails"],"properties":{"candidateEmails":{"type":"array","items":{"type":"string","format":"email"}}}},"CancelScheduledCandidatesResponse":{"allOf":[{"$ref":"#/components/schemas/SuccessWrapper"},{"type":"object","properties":{"message":{"type":"string"},"data":{"type":"object","properties":{"cancelledCandidates":{"type":"array","items":{"type":"object","properties":{"candidateEmail":{"type":"string","format":"email"},"candidateName":{"type":"string"},"metaData":{"type":"object","properties":{"Id":{"type":"integer"},"name":{"type":"string"},"clientId":{"type":"integer"}}}}}}}}}}]},"SuccessWrapper":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"data":{"type":"object","description":"Actual response data object"}}},"ErrorWrapper":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"error":{"nullable":true,"description":"Error details: Error Message"}},"required":["message","success","error"]}}},"paths":{"/api/v1/interview/{id}/cancel-scheduled-candidates":{"post":{"tags":["Scheduling"],"summary":"Cancel Scheduled Candidates","description":"Cancel scheduled candidates for a specific interview.","operationId":"cancelScheduledCandidates","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true,"description":"The interview ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelScheduledCandidatesRequest"}}}},"responses":{"200":{"description":"Interview(s) cancelled","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelScheduledCandidatesResponse"}}}},"401":{"description":"Missing or invalid Authorization header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}},"404":{"description":"Interview not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}}}}}}}
```
